> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/tennis/team-data/players-career-year-wta.md).

# Player's career year(WTA)

## Player's career year(WTA)

> Returns the wta player's annual career data, historical data can be queried based on the season update year.\<br/>(Note: for a single player, the team id is the player id)\<br/>\<br/>The data rarely changes, the recommended request frequency: 1 day/time

```json
{"openapi":"3.0.1","info":{"title":"Tennis API","version":"1.0.250606"},"tags":[{"name":"TEAM DATA","description":"TEAM DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/tennis/wta/player/career/season/detail":{"get":{"tags":["TEAM DATA"],"description":"Returns the wta player's annual career data, historical data can be queried based on the season update year.<br/>(Note: for a single player, the team id is the player id)<br/><br/>The data rarely changes, the recommended request frequency: 1 day/time","summary":"Player's career year(WTA)","operationId":"getPlayerCareerSeasonWTAList","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"season","in":"query","description":"Update year, the default is the latest issue","schema":{"type":"integer"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"$ref":"#/components/schemas/PlayerCareerSeasonWTA"}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"PlayerCareerSeasonWTA":{"type":"object","properties":{"seasons":{"$ref":"#/deps/schemas/Seasons"},"season":{"type":"integer","description":"Current query year"},"items":{"type":"array","description":"Annual career data list","items":{"$ref":"#/components/schemas/PlayerCareerSeasonWTAItem"}}}},"PlayerCareerSeasonWTAItem":{"type":"object","description":"Data details","properties":{"team_id":{"type":"string","description":"Team id"},"single_rank":{"type":"integer","description":"Singles ranking"},"single_champion":{"type":"integer","description":"Number of singles championships"},"single_win":{"type":"integer","description":"Number of singles wins"},"single_lost":{"type":"integer","description":"Number of singles losses"},"double_rank":{"type":"integer","description":"Doubles ranking"},"double_champion":{"type":"integer","description":"Number of doubles championships"},"double_win":{"type":"integer","description":"Number of doubles wins"},"double_lost":{"type":"integer","description":"Number of doubles losses"},"prize":{"type":"integer","description":"Career bonus (USD)"},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"Seasons":{"type":"array","description":"Year list<br/>example: [2023, 2024]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Year | Integer |\n","items":""}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/tennis/team-data/players-career-year-wta.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
